## arpsponge-3.17.11.tar.gz

=== Makefile ===
#!make
#  Copyright 2005-2016 AMS-IX B.V.
#
#  This is free software. It can be distributed under
#  your choice of the GPL or Artistic License 2.0.
#
#  See the Copying file that came with this package.
#
# Notes:
#	All you'll probably ever need to edit is in `config.mk'
#
# ============================================================================

TOPDIR	=	.

include $(TOPDIR)/config.mk
include $(TOPDIR)/rules.mk

TARGETS = defaults.sample

default		:	all

all			:	$(TARGETS) sbin-all init.d-all man-all \
				lib-all doc-all

install		:	all sbin-install init.d-install man-install \
				lib-install doc-install

clean		:	sbin-clean init.d-clean man-clean \
				lib-clean doc-clean

veryclean	:	sbin-veryclean init.d-veryclean man-veryclean \
				lib-veryclean doc-veryclean

#NODIST

dist:
	@echo "creating distribution:"
	@echo "creating temporary area.."; \
	    DIR=`pwd`; \
	    PID=$$$$; \
	    $(RM) -r /tmp/$(PACKAGE).$$PID; \
	    mkdir -p /tmp/$(PACKAGE).$$PID/$(PACKAGE); \
	    \
	    echo "copying sources.."; \
	    tar -cf /tmp/$(PACKAGE).$$PID/$(PACKAGE)/dist.tar -T MANIFEST; \
	    cd /tmp/$(PACKAGE).$$PID/$(PACKAGE); \
	    tar xf dist.tar; \
	    $(RM) dist.tar; \
	    \
	    echo "cleaning it up"; \
	    make clean >/dev/null 2>&1; \
	    chmod -R u+w,go-w .; \
		$(RM) -r $(PACKAGE); \
	    $$DIR/tools/mkdist Makefile > Makefile.dist; \
			mv Makefile.dist Makefile; \
	    $$DIR/tools/mkdist config.mk > config.mk.dist; \
			cp config.mk.dist config.mk; \
		for script in arpsponge asctl; do \
			$(perlit) sbin/$$script.pl | pod2text - $$script.txt; \
		done; \
	    \
	    echo "tarring and zipping it up"; \
	    cd ..; \
	    tar czf $$DIR/$(PACKAGE).tar.gz ./$(PACKAGE); \
	    echo "cleaning up temporaries"; \
	    cd $$DIR; \
	    $(RM) -r /tmp/$(PACKAGE).$$PID; \
	    echo "phew! done!"

#END-NODIST

=== doc/Makefile ===
#!make
#
#  Copyright 2005-2016 AMS-IX B.V.
#
#  This is free software. It can be distributed under
#  your choice of the GPL or Artistic License 2.0.
#
#  See the Copying file that came with this package.
#
include ../config.mk

TOPDIR		=	..

TARGETS		= 

# debian/rules specifies make instlal SKIPDOCS=1 to
# prevent us from installing docs. The debian/docs
# file will take care of that.
ifndef SKIPDOCS

INSTALLDIRS = $(DOCDIR)

INSTALLFILES	= \
			$(DOCDIR)/arpsponge_architecture.txt \
			$(DOCDIR)/command_mapping.txt

endif

include ../rules.mk

# E.O.F. Makefile

=== init.d/Makefile ===
#!make
#
#  Copyright 2005-2016 AMS-IX B.V.
#
#  This is free software. It can be distributed under
#  your choice of the GPL or Artistic License 2.0.
#
#  See the Copying file that came with this package.
#
include ../config.mk

TOPDIR		=	..

INITDIR		=	$(DESTDIR)/etc/init.d

XINSTALLDIRS	=	$(DESTDIR)/etc/init.d \
				$(DESTDIR)/etc/rc0.d \
				$(DESTDIR)/etc/rc1.d \
				$(DESTDIR)/etc/rc2.d \
				$(DESTDIR)/etc/rc3.d \
				$(DESTDIR)/etc/rc4.d \
				$(DESTDIR)/etc/rc5.d \
				$(DESTDIR)/etc/rc6.d

XINSTALLINKS	=	\
				$(DESTDIR)/etc/rc0.d/K80$(NAME):../init.d/$(NAME) \
				$(DESTDIR)/etc/rc1.d/K80$(NAME):../init.d/$(NAME) \
				$(DESTDIR)/etc/rc2.d/S30$(NAME):../init.d/$(NAME) \
				$(DESTDIR)/etc/rc3.d/S30$(NAME):../init.d/$(NAME) \
				$(DESTDIR)/etc/rc4.d/S30$(NAME):../init.d/$(NAME) \
				$(DESTDIR)/etc/rc5.d/S30$(NAME):../init.d/$(NAME) \
				$(DESTDIR)/etc/rc6.d/K80$(NAME):../init.d/$(NAME)

TARGETS		=	\
			$(NAME)

INSTALLFILES	=	\
			$(INITDIR)/$(NAME)

include ../rules.mk

# E.O.F. Makefile

=== lib/Makefile ===
#!make
#
#  Copyright 2005-2016 AMS-IX B.V.
#
#  This is free software. It can be distributed under
#  your choice of the GPL or Artistic License 2.0.
#
#  See the Copying file that came with this package.

TOPDIR	=	..

include $(TOPDIR)/config.mk
include $(TOPDIR)/rules.mk

default		:	all

all		:	M6-all

install		:	M6-install

clean		:	M6-clean

veryclean	:	M6-veryclean

=== man/Makefile ===
#!make
#
#  Copyright 2005-2016 AMS-IX B.V.
#
#  This is free software. It can be distributed under
#  your choice of the GPL or Artistic License 2.0.
#
#  See the Copying file that came with this package.
#
include ../config.mk

TOPDIR		=	..

SECTION		=	8

TARGETS		=	\
			$(NAME).pod \
			$(NAME).$(SECTION) \
			asctl.pod \
			aslogtail.pod \
			asctl.$(SECTION) \
			aslogtail.$(SECTION)

INSTALLFILES	=	\
			$(MANDIR)/man$(SECTION)/$(NAME).$(SECTION) \
			$(MANDIR)/man$(SECTION)/asctl.$(SECTION) \
			$(MANDIR)/man$(SECTION)/aslogtail.$(SECTION)

include ../rules.mk

$(NAME).pod: ../sbin/$(NAME)
	$(RM) -f $@
	ln -s $? $@

asctl.pod: ../sbin/asctl
	$(RM) -f $@
	ln -s $? $@

aslogtail.pod: ../sbin/aslogtail
	$(RM) -f $@
	ln -s $? $@

#	cd $(TOPDIR); $(MAKE) $@

# E.O.F. Makefile

=== sbin/Makefile ===
#!make
#
#  Copyright 2005-2016 AMS-IX B.V.
#
#  This is free software. It can be distributed under
#  your choice of the GPL or Artistic License 2.0.
#
#  See the Copying file that came with this package.
#
include ../config.mk

TOPDIR		=	..

INSTALLDIRS	=	$(BINDIR)

TARGETS		=	\
			arpsponge \
			aslogtail \
			asctl

INSTALLFILES	=	\
			$(BINDIR)/arpsponge \
			$(BINDIR)/aslogtail \
			$(BINDIR)/asctl

include ../rules.mk

# E.O.F. Makefile

=== lib/M6/Makefile ===
#!make
#
#  Copyright 2005-2016 AMS-IX B.V.
#
#  This is free software. It can be distributed under
#  your choice of the GPL or Artistic License 2.0.
#
#  See the Copying file that came with this package.

TOPDIR	=	../..

include $(TOPDIR)/config.mk

INSTALLDIR	=	$(INSTLIB)/M6

INSTALLFILES		=	\
				$(INSTALLDIR)/ReadLine.pm

include $(TOPDIR)/rules.mk

all			:	ARP-all

install		:	ARP-install

clean		:	ARP-clean

veryclean	:	ARP-veryclean

# E.O.F. Makefile

=== lib/M6/ARP/Makefile ===
#  Copyright 2005-2016 AMS-IX B.V.
#
#  This is free software. It can be distributed under
#  your choice of the GPL or Artistic License 2.0.
#
#  See the Copying file that came with this package.
#
TOPDIR		=	../../..

include $(TOPDIR)/config.mk


INSTALLDIR	=	$(INSTLIB)/M6/ARP

INSTALLFILES		=	\
		$(INSTALLDIR)/Base.pm \
		$(INSTALLDIR)/Const.pm \
		$(INSTALLDIR)/Control.pm \
		$(INSTALLDIR)/Event.pm \
		$(INSTALLDIR)/Log.pm \
		$(INSTALLDIR)/NetPacket.pm \
		$(INSTALLDIR)/Queue.pm \
		$(INSTALLDIR)/Sponge.pm \
		$(INSTALLDIR)/Table.pm \
		$(INSTALLDIR)/Util.pm

include $(TOPDIR)/rules.mk

all			:	Control-all

install		:	Control-install

clean		:	Control-clean

veryclean	:	Control-veryclean

# E.O.F. Makefile

=== lib/M6/ARP/Control/Makefile ===
#  Copyright 2005-2016 AMS-IX B.V.
#
#  This is free software. It can be distributed under
#  your choice of the GPL or Artistic License 2.0.
#
#  See the Copying file that came with this package.
#
TOPDIR		=	../../../..

include $(TOPDIR)/config.mk


INSTALLDIR	=	$(INSTLIB)/M6/ARP/Control

INSTALLFILES		=	\
				$(INSTALLDIR)/Base.pm		\
				$(INSTALLDIR)/Client.pm		\
				$(INSTALLDIR)/Server.pm

include $(TOPDIR)/rules.mk

# E.O.F. Makefile

=== debian/changelog ===
arpsponge (3.17.11) unstable; urgency=low

  [Steven Bakker <steven.bakker@ams-ix.net>]
    * Don't die in test mode if socket fails.

  [Marco d'Itri <md@linux.it>]
    * Update the debconf compatibility level to 9
      9 is the oldest non-deprecated level.
      It is supported by oldoldstable so it should be safe enough.
    * Fix typos in the sample configuration.
      It's "/etc/default", not "/etc/defaults".
    * Add a PERMISSIONS configuration variable.

 -- Steven Bakker <steven.bakker@ams-ix.net>  Mon, 14 May 2018 17:18:46 +0200

arpsponge (3.17.10) unstable; urgency=low

  * Remove dependency on "perl-modules"
    Packages should depend on "perl", not on "perl-modules", as
    explained in https://packages.debian.org/jessie/perl-modules.

    The dependency on "perl-modules" broke installs on Debian 9,
    where "perl-modules" has been replaced with "perl-modules-5.24".

    (Reported by Rasmus Åberg <rasmus@sthix.net> from Stockholm
    Internet eXchange.)

 -- Steven Bakker <steven.bakker@ams-ix.net>  Fri, 12 Jan 2018 18:22:31 +0100

arpsponge (3.17.9) unstable; urgency=low

  * Fix README -> README.md
  * Remove more SVN keywords

 -- Steven Bakker <steven.bakker@ams-ix.net>  Mon, 29 May 2017 10:37:26 +0200

arpsponge (3.17.8) unstable; urgency=low

  * Remove extraneous "or return".

 -- Steven Bakker <steven.bakker@ams-ix.net>  Mon, 29 May 2017 10:26:19 +0200

arpsponge (3.17.7) unstable; urgency=low

  * Fix copyright notices
  * Remove SVN keywords from misc. files

 -- Steven Bakker <steven.bakker@ams-ix.net>  Fri, 05 Feb 2016 11:40:05 +0100

arpsponge (3.17.6) unstable; urgency=low

  * Get rid of $REVISION/svn keywords.

 -- Steven Bakker <steven.bakker@ams-ix.net>  Fri, 06 Mar 2015 18:46:37 +0100

arpsponge (3.17.5) unstable; urgency=low

  * init script start/stop/status return codes
  * Switch around changelog/Changelog symlink.
  * Get rid of debian/files in MANIFEST.

 -- Steven Bakker <steven.bakker@ams-ix.net>  Fri, 06 Mar 2015 18:35:07 +0100

arpsponge (3.17.4) unstable; urgency=low

  [2014-11-24] - steven (r348)
    => init.d/arpsponge.sh:
        * Fix "status" to exit with appropriate code when there's no
          sponge running. Also don't try to send a USR1 signal when not
          running as root.

 -- Steven Bakker <steven.bakker@ams-ix.net>  Mon, 24 Nov 2014 15:12:52 +0100

arpsponge (3.17.3-2) unstable; urgency=low

  [2014-10-23] - steven (r346)
    => debian/arpsponge.init, debian/conffiles:
        * Fix init file reference.

 -- Steven Bakker <steven.bakker@ams-ix.net>  Thu, 23 Oct 2014 10:19:45 +0200

arpsponge (3.17.3-1) unstable; urgency=low

  [2014-10-23] - steven (r343-r344)
    => init.d/arpsponge.sh:
        * Use "/bin/sh" instead of "/bin/bash" for init script.
    => defaults.sample.src, sbin/arpsponge.pl:
        * Add support/doc for LOGMASK init variable.

 -- Steven Bakker <steven.bakker@ams-ix.net>  Thu, 23 Oct 2014 10:16:15 +0200

arpsponge (3.17.2) unstable; urgency=high

  [2014-10-22] - steven (r338)
    => lib/M6/ARP/Event.pm:
        * Export event_err instead of event_errr.

 -- Steven Bakker <steven.bakker@ams-ix.net>  Wed, 22 Oct 2014 17:04:26 +0200

arpsponge (3.17.1) unstable; urgency=low

  [2014-10-07] - steven (r336)
    => sbin/asctl.pl:
        * Fix "Use of uninitialized value within %state_table" warning
          when reloading.

 -- Steven Bakker <steven.bakker@ams-ix.net>  Tue, 07 Oct 2014 11:31:45 +0200

arpsponge (3.17) unstable; urgency=low

  [2014-09-23] - steven (r317-r319)
    => lib/M6/ReadLine.pm:
        * Ignore SIGPIPE when piping to the $PAGER.
    => lib/M6/ARP/Log.pm:
        * Export log_debug() as well.
    => sbin/arpsponge.pl:
        * Fix setting of log_level on startup.

  [2014-09-24] - steven (r320-r333)
    => lib/M6/ARP/Const.pm:
        * Fix quoting in diagnostic message in parse_update_flags.
    => lib/M6/ARP/Log.pm:
        * Re-order some variable declarations. Use "reverse" to turn the
          int/string hash on its head.
    => sbin/arpsponge.pl:
        * The "M6::ARP::Sponge" object has no log_*() methods, so don't
          try to use them.
    => lib/M6/ARP/Log.pm:
        * Export print_log_level() as well.
        * Forgot the "reverse" the assignment to %STR_TO_LOGLEVEL.
    => lib/M6/ARP/Event.pm:
        * Add M6::Log::Event for event specific logging.
    => lib/M6/ARP/Control/Server.pm, lib/M6/ARP/Sponge.pm,
    => sbin/arpsponge.pl, sbin/asctl.pl:
        * Use the M6::ARP::Event module for event specific
          logging/filtering. Add asctl support for event filtering.
    => lib/M6/ARP/Control/Server.pm:
        * Use M6::ARP::Event.
    => lib/M6/ARP/Makefile:
        * Add Event.pm to Makefile.
    => lib/M6/ARP/Event.pm, lib/M6/ARP/Log.pm:
        * Remove prototypes where possible. Fix other prototypes to fold
          $fmt in @args.
    => sbin/arpsponge.pl:
        * Parse the loglevel argument before trying to set it...
    => sbin/asctl.pl:
        * Parse set_log_mask arguments based on the current log_mask, so
          we can do "set log_mask !alien" to subtract only "alien" from
          the current mask or "set log_mask +sponge" to add "sponge" to
          the current mask.
    => lib/M6/ARP/Event.pm:
        * When using the EVENT macros as keys in a hash, make sure to
          tack on "()", lest Perl will turn them into strings. Parse
          event mask against current setting.
    => sbin/arpsponge.pl, sbin/asctl.pl:
        * Add log_mask to POD info.

 -- Steven Bakker <steven.bakker@ams-ix.net>  Wed, 24 Sep 2014 18:23:22 +0200

arpsponge (3.16) unstable; urgency=low

  [2014-07-21] - steven (r315)
    => defaults.sample.src, init.d/arpsponge.sh, sbin/arpsponge.pl:
        * Add "DISABLED" variable to init script and defaults. Fix
          arpsponge POD to sort the init script variables.

 -- Steven Bakker <steven.bakker@ams-ix.net>  Mon, 21 Jul 2014 10:36:55 +0200

arpsponge (3.15.1) unstable; urgency=low



=== debian/control ===
Source: arpsponge
Section: perl
Priority: optional
Maintainer: Steven Bakker <steven.bakker@ams-ix.net>
Build-Depends: debhelper (>= 9),
 perl (>= 5.10.0),
 libnet-pcap-perl (>= 0.16),
 libterm-readline-gnu-perl (>= 1.17),
 libterm-readkey-perl (>= 2.30),
 libnetaddr-ip-perl (>= 4.028),
 libreadonly-perl (>= 1.02),
 libio-string-perl (>= 1.08),
 libnet-arp-perl (>= 1.0)
Standards-Version: 3.6.1

Package: arpsponge
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
 perl (>= 5.10.0),
 libnet-pcap-perl (>= 0.16),
 libterm-readline-gnu-perl (>= 1.17),
 libterm-readkey-perl (>= 2.30),
 libnetaddr-ip-perl (>= 4.028),
 libreadonly-perl (>= 1.02),
 libreadonly-xs-perl (>= 1.04),
 libio-string-perl (>= 1.08),
 libnet-arp-perl (>= 1.0)
Description: Nifty ARP sponge.
 Nifty ARP sponge featuring gratuitous ARP, sweeping, reporting, etc.
 Also keeps an internal ARP table which can be dumped to a file. The
 daemon's state can be inspected and manipulated over a control socket.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/arpsponge.sgml > arpsponge.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/arpsponge.
	$(MAKE) install SKIPDOCS=1 DESTDIR=$(CURDIR)/debian/arpsponge


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
